org.apache.solr.hadoop

## Class MapReduceIndexerTool

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.solr.hadoop.MapReduceIndexerTool

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

      public class MapReduceIndexerTool
      extends org.apache.hadoop.conf.Configured
      implements org.apache.hadoop.util.Tool

  Public API for a MapReduce batch job driver that creates a set of Solr index shards from a set of input files and writes the indexes into HDFS, in a flexible, scalable and fault-tolerant manner. Also supports merging the output shards into a set of live customer facing Solr servers, typically a SolrCloud.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESULTS_DIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapReduceIndexerTool()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` API for command line clients
    `int` | `run(String[] args)`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### RESULTS_DIR

          public static final String RESULTS_DIR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MapReduceIndexerTool

          public MapReduceIndexerTool()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      API for command line clients
      Throws:
        `Exception`

    - #### run

          public int run(String[] args)
                  throws Exception

      Specified by:
        `run` in interface `org.apache.hadoop.util.Tool`
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.